/*
   Copia a portaD para a portaB se pressionar RB8.
   Copia a portaF para a portaB se pressionar RB9.
   
   obs: SW11 5 e 6 devem ficar em off
*/

void main() {

     ADPCFG = 0xFFFF;                  // Usa os pinos analgicos como digital

     TRISB = 0b00001100000000;
     TRISD = 0x0;
     TRISF = 0x0;

     LATF = 0b110101011;

     while(1) {
           // Uso da biblioteca de botes:
           // Button(unsigned int *port, unsigned int pin, unsigned int debounce_time, unsigned int active_state);
           if (Button(&PORTB,8,1,1)) {       // Copia portaD para portaB
              LATB = LATD;
           }
           while (RB8_bit);                // Aguarda o boto ser liberado
           
           if (Button(&PORTB,9,1,1)) {       // Copia portaF para portaB
              LATB = LATF;
           }
           while (RB9_bit);                // Aguarda o boto ser liberado
     }
}